Skip to content

Get usage details

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Get the current user pool usage details.

Method name

ManagementClient.getUsageInfo

Request parameters

NameTypeRequiredDefault valueDescriptionSample value

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If you are a privately deployed customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.getUsageInfo();

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: CostGetCurrentUsageRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful, 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request is not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a CurrentUsageRespDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "usages": {
      "amount": "0",
      "current": "0",
      "experience": true,
      "modelCode": "SocialConnections",
      "modelName": "SocialConnections:Social account link"
    }
  }
}

Data structure

CurrentUsageRespDto

NameTypeIs it requiredDescriptionSample value
usagesarrayYesCurrent usage entity Nested type: <a CurrentUsageDto.

CurrentUsageDto

NameTypeRequiredDescriptionSample value
amountstringYesTotal amount of equity0
currentstringYesCurrent amount of equity used0
experiencebooleanyesIs it a trial benefit?true
modelCodestringyesBenefit codeSocialConnections
modelNamestringyesBenefit nameSocialConnections: social account links

Agent infrastructure for identity, memory, and web action.